import './assets/main.css'

import { createApp } from 'vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import { getRequest, postRequest, putRequest, deleteRequest,getYunRequest } from './utils/http'
import App from './App.vue'
import router from './router'
import store from './store'

import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import NoResult from "./components/NoResult/NoResult.vue";
import Theme from "./components/Theme/Theme.vue";
import SearchInput from "./components/SearchInput/SearchInput.vue";
import Modal from "./components/Modal/Modal.vue";
import VueUeditorWrap from "vue-ueditor-wrap";
import './router/permission.js'

const app = createApp(App)

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

app.component('NoResult', NoResult)
app.component('Theme', Theme)
app.component('SearchInput', SearchInput)
app.component('Modal', Modal)
// app.component('vue-ueditor-wrap', VueUeditorWrap)

app.config.globalProperties.$get = getRequest;
app.config.globalProperties.$post = postRequest;
app.config.globalProperties.$put = putRequest;
app.config.globalProperties.$delete = deleteRequest;
app.config.globalProperties.$getYun = getYunRequest;

app.use(router)
app.use(store)
app.use(Viewer)
app.use(VueUeditorWrap)
app.use(ElementPlus, {
  locale: zhCn,
})


app.mount('#app')
