import User from '../views/User/index.vue'
import UserList from '../views/User/User.vue'
import UserReviewInfo from '../views/User/UserReviewInfo.vue'
import ReviewRecord from '../views/User/ReviewRecord.vue'
import ReviewRecordInfo from '../views/User/ReviewRecordInfo.vue'
import DriverAction from '../views/User/DriverAction.vue'
import DataStat from '../views/DataStat/DataStat.vue'
import Account from '../views/Account/index.vue'
import YunTrading from '../views/Account/YunTrading.vue'
import Meicoin from '../views/Account/Meicoin.vue'
import VoiceCall from '../views/Account/VoiceCall.vue'
import VoiceCallInfo from '../views/Account/VoiceCallInfo.vue'
import Delayed from '../views/Account/Delayed.vue'
import Attestation from '../views/Account/Attestation.vue'
import AttestationInfo from '../views/Account/AttestationInfo.vue'
import Main from '../views/Main/index.vue'
import Post from '../views/Main/Post/index.vue'
import PostList from '../views/Main/Post/PostList.vue'
import PostInfo from '../views/Main/Post/PostInfo.vue'
import Daily from '../views/Daily/index.vue'
import ShidianList from '../views/Daily/ShiDian/list.vue'
import ShidianAdd from '../views/Daily/ShiDian/Add.vue'
import ShidianEdit from '../views/Daily/ShiDian/Edit.vue'

const dynamicRoutes = [
    {
        //系统管理
        path: '/user-manage',
        name: 'user-manage',
        component: User,
        meta: {
            name: '用户管理',
            icon: 'UserFilled',
            side_show: true
        },
        children: [
            {
                path: 'list',
                name: 'user-list',
                component: UserList,
                meta: {
                    name: '用户认证审核',
                    side_show: true
                },
            },
            {
                path: 'review-info',
                name: 'review-info',
                component: UserReviewInfo,
                meta: {
                    name: '用户认证审核详情',
                    side_show: false
                },
            },
            {
                path: 'review-record',
                name: 'review-record',
                component: ReviewRecord,
                meta: {
                    name: '审核记录',
                    side_show: false
                },
            },
            {
                path: 'review-record-info',
                name: 'review-record-info',
                component: ReviewRecordInfo,
                meta: {
                    name: ' 用户认证审核详情',
                    side_show: true
                },
            },
            {
                path: 'driver-action',
                name: 'driver-action',
                component: DriverAction,
                meta: {
                    name: '排队记录',
                    side_show: false
                },
            }
        ]
    },
    {
        path: '/data-stat',
        name: 'data-stat',
        component: DataStat,
        meta: {
            name: '数据统计',
            icon: 'TrendCharts',
            side_show: true
        }
    },
    {
        //对账
        path: '/account',
        name: 'account',
        component: Account,
        meta: {
            name: '对账',
            icon: 'WalletFilled',
            side_show: true
        },
        children: [
            {
                path: 'yun-trading',
                name: 'yun-trading',
                component: YunTrading,
                meta: {
                    name: '云交易对账',
                    side_show: true
                },
            },
            {
                path: 'meicoin',
                name: 'meicoin',
                component: Meicoin,
                meta: {
                    name: '煤币对账',
                    side_show: true
                },
            },
            {
                path: 'voice-call',
                name: 'voice-call',
                component: VoiceCall,
                meta: {
                    name: '语音呼叫对账',
                    side_show: true
                },
            },
            {
                path: 'voice-call-info',
                name: 'voice-call-info',
                component: VoiceCallInfo,
                meta: {
                    name: '语音呼叫对账详情',
                    side_show: false
                },
            },
            {
                path: 'delayed',
                name: 'delayed',
                component: Delayed,
                meta: {
                    name: '延时对账',
                    side_show: true
                },
            },
            {
                path: 'attestation',
                name: 'attestation',
                component: Attestation,
                meta: {
                    name: '认证对账',
                    side_show: true
                },
            },
            {
                path: 'attestation-info',
                name: 'attestation-info',
                component: AttestationInfo,
                meta: {
                    name: '认证对账详情',
                    side_show: false
                },
            }
        ]
    },
    {
        //系统管理
        path: '/main',
        name: 'main',
        component: Main,
        meta: {
            name: '主营业务管理',
            icon: 'Briefcase',
            side_show: true
        },
        children: [
            {
                path: 'post',
                name: 'post',
                component: Post,
                meta: {
                    name: '社区管理',
                    side_show: true
                },
                children:[
                    {
                        path: 'list',
                        name: 'post-list',
                        component: PostList,
                        meta: {
                            name: '帖子管理',
                            side_show: true
                        },
                    },
                    {
                        path: 'info',
                        name: 'post-info',
                        component: PostInfo,
                        meta: {
                            name: '帖子详情',
                            side_show: false
                        },
                    }
                ]
            }
        ]
    },
    {
        //日常维护
        path: '/daily',
        name: 'daily',
        component: Daily,
        meta: {
            name: '日常维护',
            icon: 'Tools',
            side_show: true
        },
        children: [
            {
                path: 'shidian-list',
                name: 'shidian-list',
                component: ShidianList,
                meta: {
                    name: '有煤视点维护',
                    side_show: true
                }
            },
            {
                path: 'shidian-add',
                name: 'shidian-add',
                component: ShidianAdd,
                meta: {
                    name: '有煤视点添加',
                    side_show: false
                }
            },
            {
                path: 'shidian-edit',
                name: 'shidian-edit',
                component: ShidianEdit,
                meta: {
                    name: '有煤视点编辑',
                    side_show: false
                }
            }
        ]
    },
]


export default dynamicRoutes
