import router from "./index";
import store from "../store/index";
import { mapActions } from 'vuex';



router.beforeEach((to, from, next) => {
  // console.log("22222没登录")
  if (to.name === 'Login') {
    next()    // 跳出循环
  } else {
    if (!store.state.SessionId) {
      // console.log("没登录")
      //未登录
      next({path: '/login'})
    } else {
      //用户已经登录 路由访问权限
      // console.log("已经登录",store.state.permission.permissionList,to)
      if (!store.state.permission.permissionList) {
        store.dispatch("permission/FETCH_PERMISSION").then(() => {
          next({
            path: to.fullPath
          })
        })
      } else {
        //store存在权限
        if (to.path !== "/login") {
          next()
        } else {
          next(from.fullPath)
        }
      }
    }
  }
});





