import router, { DynamicRoutes } from '../../router/index'
import dynamicRouter from "../../router/dynamic-router";
import {recursionRouter,setDefaultRoute} from "../../utils/recrusion-router";
import admin_p from '../../../mock/data/admin_permision'
import {getRequest} from '../../utils/http'

export default {
  namespaced:true,
  state:{
    permissionList:null,
    sidebarMenu:[],//导航菜单
    currentMenu:'' //高亮
  },
  getters:{},
  mutations:{
    SET_PERMISSION(state,routes){
      state.permissionList = routes
    },
    CLEAR_PERMISSION(state){
      state.permissionList = null
    },
    SET_MENU(state,menu){
      state.sidebarMenu = menu
    },
    CLEAR_MENU(state){
      state.sidebarMenu = []
    },
    SET_CURRENT_MENU(state, currentMenu) {
      state.currentMenu = currentMenu
    }
  },
  //异步访问
  actions:{
    async FETCH_PERMISSION({commit,state}){
      let permissionList = admin_p.data;
      // let permissionList = await  getRequest('/v1/admin/info' , {})
      //   .then((res) => {
      //     if (res.data.status === 'success') {
      //       let permissions = res.data.data.data.permissions
      //       console.log(JSON.parse(permissions).role_tree)
      //       return JSON.parse(permissions).role_tree;
      //     } else {
      //       this.$message(res.data.msg)
      //     }
      //   });

      //筛选
      /*  根据权限筛选出我们设置好的路由并加入到path=''的children */
      let routes = recursionRouter(permissionList, dynamicRouter);
      let MainContainer = DynamicRoutes.find(v => v.path === '');
      let children = MainContainer.children;
      children.push(...routes);

      //生成菜单
      commit("SET_MENU",children);
      

      //设置默认路由
      /*
                为所有有children的菜单路由设置第一个children为默认路由
                主要是供面包屑用，防止点击面包屑后进入某个路由下的 '' 路由,比如/manage/
                而我们的路由是
                [
                    /manage/menu1,
                    /manage/menu2
                ]
            */
      setDefaultRoute([MainContainer])

      //初始化路由
      let initialRoutes = router.options.routes
      // router.addRoute(DynamicRoutes)
      DynamicRoutes.forEach(routeConfig => {
        router.addRoute(routeConfig);
      });
  
      /* 完整的路由表 */
      commit('SET_PERMISSION', [...initialRoutes, ...DynamicRoutes])
    }
  }
}
