import axios from 'axios'
// import { createApp } from 'vue';
import G from './../../global';
import router from '@/router/index.ts'


// 域名地址
axios.defaults.baseURL = G.baseUrl;
let sn = Math.round(Math.random() * 999999) + '';
let header = { 'Content-Type': 'application/json', 'app-type': 'web1', 'sn': sn, 'sessionid': localStorage.getItem('session_id') };

//  REQUEST 请求异常拦截
axios.interceptors.request.use(config => {
  // console.log("11111success",config)
  return config;
}, err => {
  // 错误处理
  // console.log("11111err",err)
  return Promise.reject(err);
});

//  RESPONSE 响应异常拦截
axios.interceptors.response.use(result => {
  // console.log("success",result)
  if (result.data.resid === 20006) {
    router.push('/login')
  }
  return result;
}, err => {
  // console.log("err",err)
  if (err && err.response) {
    switch (err.response.status) {
      case 401:
        err.message = '请求方式错误!';
        break;
      case 402:
        err.message = '请求参数错误!';
        break;
      default:
        err.message = `登录凭证过期,请重新登录!`;
    }
  } else {
    err.message = '连接服务器失败!00'
  }

  // Message.error({ message: err.message })
  return Promise.resolve(err);
});

// 接口域名
export const url = axios.defaults.baseURL;

// POST 方法封装 (处理参数与文件上传)
export const postRequest = (url, params) => {
  return axios({
    method: 'post',
    url: url,
    headers: header,
    data: params
  });
};


//  GET 方法封装
export const getRequest = (url, params) => {
  if (!localStorage.getItem('session_id')) {
    // 非法进入时直接跳到登录页
    vue.$router.push('/login');
    return;
  };
  header['sessionid'] = localStorage.getItem('session_id');
  return axios({
    method: 'get',
    url: url,
    headers: header,
    data: params
  }).then(function (res) {
    if (res.data.msg === "认证错误, 请重新登录") {
      vue.$router.push('/login');
    } else {
      return res;
    }
  });
};

//  PUT 方法封装
export const putRequest = (url, params) => {
  header['sessionid'] = localStorage.getItem('session_id');
  return axios({
    method: 'put',
    url: url,
    headers: header,
    data: params
  });
};

//  DELETE 方法封装
export const deleteRequest = (url, params) => {
  header['sessionid'] = localStorage.getItem('session_id');
  return axios({
    method: 'delete',
    url: url,
    headers: header,
    data: params
  });
};


let yunxiao_base_url = "https://www.mdyunxiao.cn:5189";//测试环境
// let yunxiao_base_url = "https://www.360youmei.cn:5090";//正式环境
//  GET 方法封装
export const getYunRequest = (url, params) => {
  return axios({
    method: 'get',
    url: yunxiao_base_url + url,
    headers: {
      "Authorization": "PHA3I5D9UJIA8EYZ"
    },
    data: params
  }).then(function (res) {
    if (res.data.msg === "认证错误, 请重新登录") {
      vue.$router.push('/login');
    } else {
      return res;
    }
  });
};